#Add a mapping for reloading the conf file
bind r source-file ~/.tmux.conf \; display-message "RELOADING CONFIGURATION FILE…"

# remap prefix from 'C-b' to 'C-a'
unbind C-b
set-option -g prefix C-a
bind-key C-a send-prefix

# Enable mouse control (clickable windows, panes, resizable panes)
set -g mouse on

set -g status-style bg=white,fg=black

# List of plugins
set -g @plugin 'tmux-plugins/tpm'

set-option -g status-right ""
set-option -g status-left ""
set -g status-style bg=default

# set-window-option -g visual-bell on

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'
